Name:		kiran-cpanel-keybinding
Version:	2.2.1
Release:	3
Summary:	This program provides shortcut settings.

Group:		System Environment/Base
License:	Mulan PSL v2
URL:		http://gitlab.kylinos.com.cn/os/kiran-cpanel-keybinding
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	qt5-qtsvg-devel
BuildRequires: 	cmake
BuildRequires:	gettext
BuildRequires:	gcc-c++
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-linguist
BuildRequires:	kiran-widgets-qt5-devel
BuildRequires:	kiran-cc-daemon-devel >= 2.0.7
BuildRequires:	libstdc++-devel
BuildRequires:	kiran-log-qt5-devel
BuildRequires:  kiran-control-panel-devel
BuildRequires:  kiran-qdbusxml2cpp
BuildRequires:  qt5-qtsvg-devel

Requires:   	gcc
Requires:	qt5-qtbase
Requires:	qt5-qtsvg
Requires:	kiran-widgets-qt5
Requires:	kiran-session-daemon
Requires:	kiran-log-qt5
Requires:       kiran-cpanel-launcher
Requires:       gtk-update-icon-cache

%description
This program provides shortcut settings.

%prep
%autosetup -p1

%build
%{__mkdir} -p %{buildroot}
%cmake 
make %{?_smp_mflags}

%install
%make_install

%post
gtk-update-icon-cache -f /usr/share/icons/hicolor/

%posttrans
%define link_source %{_datadir}/kiran-control-panel/plugins/desktop/%{name}.desktop
%define link_target %{_datadir}/applications/%{name}.desktop
if [ ! -e %{link_target} ];then
ln -sf %{link_source} %{link_target}
echo "link %{link_source} -> %{link_target}"
fi

%files
%doc
%{_datadir}/kiran-control-panel/plugins/libs/libkiran-cpanel-keybinding.so*
%{_datadir}/%{name}/icons/*
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}/translations/*
%{_datadir}/kiran-control-panel/plugins/desktop/*
%{_datadir}/applications/kiran-cpanel-keybinding.desktop

%clean
rm -rf %{buildroot}

%changelog
* Tue Mar 01 2022 loncheng <longcheng@kylinos.com.cn> - 2.2.1-3
- KYOS-B: Add  Requires gtk-update-icon-cache

* Sat Feb 26 2022 loncheng <longcheng@kylinos.com.cn> - 2.2.1-2
- KYOS-R: rebuild for KY3.4-3-LS-dev

* Sat Feb 26 2022 loncheng <longcheng@kylinos.com.cn> - 2.2.1-1
- KYOS-B: fix build error in KY3.4-3-LS

* Thu Feb 24 2022 chendingjian <chendingjian@kylinos.com.cn> - 2.2.0-5
- rebuild for KY3.4-MATE-modules-dev

* Wed Feb 16 2022 yuanxing <yuanxing@kylinos.com.cn> - 2.2.0-4.kb2
- KYOS-F: when calling the background service fails, an error prompt box pops up at ui (#49927)

* Wed Jan 19 2022 yuanxing <yuanxing@kylinos.com.cn> - 2.2.0-4.kb1
- KYOS-F: add keybinding reset function(#48466)
- KYOS-F: display shortcut keys according to the kind of back-end shortcut keys

* Wed Dec 29 2021 kpkg <kpkg@kylinos.com.cn> - 2.2.0-3.kb1
- rebuild for KY3.4-MATE-modules-dev

* Wed Dec 29 2021 caoyuanji<caoyuanji@kylinos.com.cn> - 2.2.0-3
- Upgrade version number for easy upgrade

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-2.kb2
- rebuild for KY3.4-4-KiranUI-2.2

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-2.kb1
- rebuild for KY3.4-4-KiranUI-2.2

* Mon Nov 29 2021 yuanxing <yuanxing@kylinos.com.cn> - 2.2.0-2
- KY0S-F: set modify keybination lineEdit placeholder with old keybination 
- KYOS-F: set disabled when user don't input keybination and add border when seach lineedit focus and change the btn size

* Fri Nov 05 2021 yuanxing <yuanxing@kylinos.com.cn> - 2.2.0-1.kb1
- Initial build




